## Patch Argo Smart Routing setting `client.argo.smartRouting.edit(SmartRoutingEditParamsparams, RequestOptionsoptions?): SmartRoutingEditResponse` **patch** `/zones/{zone_id}/argo/smart_routing` Configures the value of the Argo Smart Routing enablement setting. ### Parameters - `params: SmartRoutingEditParams` - `zone_id: string` Path param: Specifies the zone associated with the API call. - `value: "on" | "off"` Body param: Specifies the enablement value of Argo Smart Routing. - `"on"` - `"off"` ### Returns - `SmartRoutingEditResponse` - `id: string` Specifies the identifier of the Argo Smart Routing setting. - `editable: boolean` Specifies if the setting is editable. - `value: "on" | "off"` Specifies the enablement value of Argo Smart Routing. - `"on"` - `"off"` - `modified_on?: string` Specifies the time when the setting was last modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.argo.smartRouting.edit({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', value: 'on', }); console.log(response.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "id", "editable": true, "value": "on", "modified_on": "2019-12-27T18:11:19.117Z" }, "success": true } ```